2 Replies Latest reply on Dec 1, 2014 10:08 PM by MCavanaugh

    AFSDK install not creating a .Net 4.0 OSIsoft.AFSDK.dll

    MCavanaugh

      I'm trying to develop a data translator for OSI Pi using the AFSDK.  However, it appears that I only have the .Net 2.0 libraries fpr the AFSDK.  I've checked the assemblies and there is no .Net 4.0 dll anywhere to be found.  

       

      In the rootx86/AF/PublicAssemblies/4.0 directory are XML files for the SDK and UI. There and some plugins/libraries in the root/AF/Plugins, but directly referencing them leads to a DR (data reference?) version of the PIPoint class.

       

      I've tried unistall/reinstall of the AF development tools (both 2.6 and 2.7 beta), but still no 4.0 library.  I'm on a windows 7 x64 laptop using visual studio 2010. 

       

      Any thoughts?